Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:55 2009

## Asterisk developer's documentation

# zt_chan_conf Struct Reference

Channel configuration from zapata.conf . This struct is used for parsing the [channels] section of zapata.conf. Generally there is a field here for every possible configuration item. More...

Collaboration diagram for zt_chan_conf:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
int | adsi
int | amaflags
int | answeronpolarityswitch
int | busy_quietlength
int | busy_tonelength
int | busycount
int | busydetect
ast_group_t | callergroup
int | callprogress
int | callreturn
int | callwaiting
int | callwaitingcallerid
int | cancallforward
int | canpark
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
int | cid_signalling
int | cid_start
char | context [AST_MAX_CONTEXT]
int | debounce
int | echocanbridged
int | echocancel
int | echotraining
int | flash
ast_group_t | group
int | hanguponpolarityswitch
int | hidecallerid
int | immediate
char | mailbox [AST_MAX_EXTENSION]
char | musicclass [MAX_MUSICCLASS]
int | numbufs
int | outsignalling
ast_group_t | pickupgroup
int | polarityonanswerdelay
int | preflash
int | prewink
struct zt_pri_conf | pri
int | priexclusive
int | priindication_oob
int | pulse
int | radio
int | relaxdtmf
int | restrictcid
int | rxflash
float | rxgain
int | rxwink
int | sendcalleridafter
int | signalling
int | start
int | stripmsd
int | threewaycalling
int | tonezone
int | transfer
int | transfertobusy
float | txgain
int | use_callerid
int | use_callingpres
int | wink
int | zaptrcallerid

## Detailed Description

Channel configuration from zapata.conf . This struct is used for parsing the [channels] section of zapata.conf. Generally there is a field here for every possible configuration item.

The state of fields is saved along the parsing and whenever a 'channel' statement is reached, the current zt_chan_conf is used to configure the channel (struct zt_pvt)

zt_chan_init for the default values.

Definition at line 446 of file chan_zap.c.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Definition at line 512 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int adsi

Definition at line 518 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int amaflags

Definition at line 516 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int answeronpolarityswitch

Definition at line 532 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int busy_quietlength

Definition at line 508 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int busy_tonelength

Definition at line 507 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int busycount

Definition at line 506 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int busydetect

Definition at line 504 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

ast_group_t callergroup

Definition at line 461 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int callprogress

Definition at line 510 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int callreturn

Definition at line 480 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int callwaiting

Definition at line 470 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int callwaitingcallerid

Definition at line 472 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int cancallforward

Definition at line 488 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int canpark

Definition at line 486 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

char cid_name[AST_MAX_EXTENSION]

Definition at line 450 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

char cid_num[AST_MAX_EXTENSION]

Definition at line 449 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int cid_signalling

Definition at line 454 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int cid_start

Definition at line 455 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

char context[AST_MAX_CONTEXT]

Definition at line 448 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int debounce

Definition at line 529 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int echocanbridged

Definition at line 502 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int echocancel

Definition at line 496 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int echotraining

Definition at line 498 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int flash

Definition at line 525 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

ast_group_t group

Definition at line 460 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int hanguponpolarityswitch

Definition at line 533 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int hidecallerid

Definition at line 474 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int immediate

Definition at line 466 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

char mailbox[AST_MAX_EXTENSION]

Definition at line 514 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

char musicclass[MAX_MUSICCLASS]

Definition at line 451 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int numbufs

Definition at line 520 of file chan_zap.c.

int outsignalling

Definition at line 459 of file chan_zap.c.

ast_group_t pickupgroup

Definition at line 462 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int polarityonanswerdelay

Definition at line 534 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int preflash

Definition at line 523 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int prewink

Definition at line 522 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

struct zt_pri_conf pri`[read]`

Definition at line 447 of file chan_zap.c.

Referenced by mkintf(), setup_zap(), and zt_chan_conf_default().

int priexclusive

Definition at line 530 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int priindication_oob

Definition at line 537 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int pulse

Definition at line 500 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int radio

Definition at line 538 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int relaxdtmf

Definition at line 464 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int restrictcid

Definition at line 476 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int rxflash

Definition at line 528 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

float rxgain

Definition at line 490 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int rxwink

Definition at line 527 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int sendcalleridafter

Definition at line 535 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int signalling

Definition at line 458 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int start

Definition at line 526 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int stripmsd

Definition at line 468 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int threewaycalling

Definition at line 482 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int tonezone

Definition at line 494 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int transfer

Definition at line 484 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int transfertobusy

Definition at line 452 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

float txgain

Definition at line 492 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int use_callerid

Definition at line 457 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int use_callingpres

Definition at line 478 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int wink

Definition at line 524 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

int zaptrcallerid

Definition at line 456 of file chan_zap.c.

Referenced by mkintf(), and setup_zap().

The documentation for this struct was generated from the following file:

- chan_zap.c